function MenuGroup(xml) {
    this.id            = xml.attr('group_id');
    this.groupTitle    = xml.children('group_title').text();
    this.groupOrder    = xml.children('group_order').text();
    this.numFreeExtras = xml.children('num_free_extras').text();
    this.isVisible     = xml.children('is_visible').text();
    var items = new Array();
    var item;
    $(xml).find('menu_item').each(function(i) {
                     item = new MenuItem($(this));
                     items.push(item);
                 });
    this.menuItems = items
};
